// DlgPtz.cpp : ʵļ
//

#include "stdafx.h"
#include "AjNetSdkDemo.h"
#include "AjNetSdkDemoDlg.h"
#include "DlgPtz.h"
#include "afxdialogex.h"
#include "NetSDKDevice.h"

// CDlgPtz Ի

IMPLEMENT_DYNAMIC(CDlgPtz, CDialogEx)

CDlgPtz::CDlgPtz(CWnd* pParent /*=NULL*/)
	: CDialogEx(CDlgPtz::IDD, pParent)
{

}

CDlgPtz::~CDlgPtz()
{
}

void CDlgPtz::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CDlgPtz, CDialogEx)
END_MESSAGE_MAP()


// CDlgPtz Ϣ
BOOL CDlgPtz::PreTranslateMessage(MSG* pMsg)
{
	// TODO:  ڴרô/û
	if (pMsg->message == WM_LBUTTONDOWN)
	{
		int iV, iH;
		iH = ((CComboBox*)GetDlgItem(IDC_COMBO_HSPEED))->GetCurSel() + 1;
		iV = ((CComboBox*)GetDlgItem(IDC_COMBO_VSPEED))->GetCurSel() + 1;
		if (pMsg->hwnd == GetDlgItem(IDC_BTN_TOP)->GetSafeHwnd())
			PtzControl(TILT_UP, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_LEFT)->GetSafeHwnd())
			PtzControl(PAN_LEFT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_BOTTOM)->GetSafeHwnd())
			PtzControl(TILT_DOWN, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_RIGHT)->GetSafeHwnd())
			PtzControl(PAN_RIGHT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_LT)->GetSafeHwnd())
			PtzControl(UP_LEFT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_LB)->GetSafeHwnd())
			PtzControl(DOWN_LEFT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_RT)->GetSafeHwnd())
			PtzControl(UP_RIGHT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_RB)->GetSafeHwnd())
			PtzControl(DOWN_RIGHT, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_FOCUS_NEAR)->GetSafeHwnd())
			PtzControl(FOCUS_NEAR, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_FOCUS_FAR)->GetSafeHwnd())
			PtzControl(FOCUS_FAR, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_ZOOM_IN)->GetSafeHwnd())
			PtzControl(11, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_ZOOM_OUT)->GetSafeHwnd())
			PtzControl(12, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_IRIS_OPEN)->GetSafeHwnd())
			PtzControl(IRIS_OPEN, iH, iV);
		else if (pMsg->hwnd == GetDlgItem(IDC_BTN_IRIS_CLOSE)->GetSafeHwnd())
			PtzControl(IRIS_CLOSE, iH, iV);
	}
	else if (pMsg->message == WM_LBUTTONUP)
	{
		PtzControl(STOPACTION, 0, 0);
	}
	return CDialogEx::PreTranslateMessage(pMsg);
}

LONG CDlgPtz::PtzControl(DWORD dwPTZCommand, DWORD nTspeed, DWORD nPpeed)
{
	LONG lRet = -1;
	int iSelectWndIndex = -1;
	CDeviceBase* pDevice = NULL;
	iSelectWndIndex = ((CAjNetSdkDemoDlg*)theApp.m_pMainWnd)->m_pManagePlayer->GetSelWnd();
	if (iSelectWndIndex == -1)
	{
		return -1;
	}
	pDevice = ((CAjNetSdkDemoDlg*)theApp.m_pMainWnd)->m_pManagePlayer->GetPlayerWnd(iSelectWndIndex)->GetDevice();
	if (pDevice)
	{
		LONG lUserID = ((CNetSDKDevice*)pDevice)->m_lUserID;
		if (lUserID > 0)
			lRet = AJ_NETSDK_IPC_PTZControl(lUserID,
			dwPTZCommand, nTspeed, nPpeed);
	}
	return lRet;
}


BOOL CDlgPtz::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	for (int i = 1; i <= 10; i++)
	{
		CString strIp;
		strIp.Format(_T("%d"), i);
		((CComboBox*)GetDlgItem(IDC_COMBO_HSPEED))->InsertString(i - 1,strIp);
		((CComboBox*)GetDlgItem(IDC_COMBO_VSPEED))->InsertString(i - 1, strIp);
	}
	((CComboBox*)GetDlgItem(IDC_COMBO_HSPEED))->SelectString(0, _T("5"));
	((CComboBox*)GetDlgItem(IDC_COMBO_VSPEED))->SelectString(0, _T("5"));
	return TRUE;  // return TRUE unless you set the focus to a control
	// 쳣:  OCX ҳӦ FALSE
}
