// ModifyDevInfoDlg.cpp : ʵļ
//

#include "stdafx.h"
#include "AjNetSdkDemo.h"
#include "ModifyDevInfoDlg.h"
#include "afxdialogex.h"


// CModifyDevInfoDlg Ի

IMPLEMENT_DYNAMIC(CModifyDevInfoDlg, CDialogEx)

CModifyDevInfoDlg::CModifyDevInfoDlg(int index,CWnd* pParent /*=NULL*/)
	: CDialogEx(CModifyDevInfoDlg::IDD, pParent)
{
	if (index >= 0)
	{
		m_pDevInfo = theApp.m_manageDevice.GetDevInfoByIndex(index);
		m_iIndex = index;
	}
}

CModifyDevInfoDlg::~CModifyDevInfoDlg()
{
}

void CModifyDevInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
}


BEGIN_MESSAGE_MAP(CModifyDevInfoDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CModifyDevInfoDlg::OnBnClickedOk)
END_MESSAGE_MAP()


// CModifyDevInfoDlg Ϣ


BOOL CModifyDevInfoDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// TODO:  ڴӶĳʼ
	USES_CONVERSION;
	if (m_pDevInfo)
	{
		DWORD dwIp = inet_addr(W2A(m_pDevInfo->ipcInfo.szIP));
		((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_IP))->SetAddress(htonl(dwIp));
		dwIp = inet_addr(W2A(m_pDevInfo->ipcInfo.info.szNetmask));
		((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_NETMASK))->SetAddress(htonl(dwIp));
		dwIp = inet_addr(W2A(m_pDevInfo->ipcInfo.info.szGateway));
		((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_GATEWAY))->SetAddress(htonl(dwIp));
		dwIp = inet_addr(W2A(m_pDevInfo->ipcInfo.info.szDns1));
		((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_DNS1))->SetAddress(htonl(dwIp));
		dwIp = inet_addr(W2A(m_pDevInfo->ipcInfo.info.szDns2));
		((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_DNS2))->SetAddress(htonl(dwIp));
	}
	else
	{
		OnCancel();
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	// 쳣:  OCX ҳӦ FALSE
}


void CModifyDevInfoDlg::OnBnClickedOk()
{
	// TODO:  ڴӿؼ֪ͨ
	DEV_INFO info;
	memcpy(&info, m_pDevInfo,sizeof(info));
//	ZeroMemory(&info, sizeof(DEV_INFO));
	CString str;
	info.index = m_iIndex;
	BYTE bt1, bt2, bt3, bt4;
	((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_IP))->GetAddress(bt1, bt2, bt3, bt4);
	str.Format(_T("%d.%d.%d.%d"), bt1, bt2, bt3, bt4);
	_tcscpy_s(info.ipcInfo.szIP, str.GetBuffer(str.GetLength()));
	str.ReleaseBuffer(str.GetLength());
//	((CIPAddressCtrl*)GetDlgItem(info.ipcInfo.info.szNetmask));
	((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_NETMASK))->GetAddress(bt1, bt2, bt3, bt4);
	str.Format(_T("%d.%d.%d.%d"), bt1, bt2, bt3, bt4);
	_tcscpy_s(info.ipcInfo.info.szNetmask, str.GetBuffer(str.GetLength()));
	str.ReleaseBuffer(str.GetLength());
	((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_GATEWAY))->GetAddress(bt1, bt2, bt3, bt4);
	str.Format(_T("%d.%d.%d.%d"), bt1, bt2, bt3, bt4);
	_tcscpy_s(info.ipcInfo.info.szGateway, str.GetBuffer(str.GetLength()));
	str.ReleaseBuffer(str.GetLength());
	((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_DNS1))->GetAddress(bt1, bt2, bt3, bt4);
	str.Format(_T("%d.%d.%d.%d"), bt1, bt2, bt3, bt4);
	_tcscpy_s(info.ipcInfo.info.szDns1, str.GetBuffer(str.GetLength()));
	str.ReleaseBuffer(str.GetLength());
	((CIPAddressCtrl*)GetDlgItem(IDC_IPADDRESS_DNS2))->GetAddress(bt1, bt2, bt3, bt4);
	str.Format(_T("%d.%d.%d.%d"), bt1, bt2, bt3, bt4);
	_tcscpy_s(info.ipcInfo.info.szDns2, str.GetBuffer(str.GetLength()));
	str.ReleaseBuffer(str.GetLength());
	if (theApp.m_manageDevice.ModifyDeviceNetWork(&info) == 0)
		MessageBox(_T("success!"));
	CDialogEx::OnOK();
}
